using System;
using System.ComponentModel;
using System.Configuration.Install;

namespace Hl7Service
{
    [RunInstaller(true)]
    public class ProjectInstaller : Installer
    {
        public ProjectInstaller()
        {
            hl7ServerProcessInstaller = new System.ServiceProcess.ServiceProcessInstaller();
            hl7ServerInstaller = new System.ServiceProcess.ServiceInstaller();

            hl7ServerProcessInstaller.Account = System.ServiceProcess.ServiceAccount.LocalSystem;
            //Hl7ServerProcessInstaller.Password = "admin";
            //Hl7ServerProcessInstaller.Username = "password";

            hl7ServerInstaller.ServiceName = "HL7 Server Service";
            hl7ServerInstaller.DisplayName = "Example HL7 Server";
			// hl7ServerInstaller.Description = "Example Hl7 Server"; // only supported in VS 2005 and above

            Installers.Add(hl7ServerProcessInstaller);
            Installers.Add(hl7ServerInstaller);
        }

        protected override void Dispose(bool disposing)
        {
            base.Dispose(disposing);
        }

        private System.ServiceProcess.ServiceProcessInstaller hl7ServerProcessInstaller;
        private System.ServiceProcess.ServiceInstaller hl7ServerInstaller;
    }
}